Alfred 3

Alfred 3 was superseded by Alfred 4 in May 2019. We recommend using Alfred 4 to make the most of the latest features, but Alfred 3 can still be downloaded here if necessary.

Alfred 3 requires macOS 10.9 Mavericks as minimum, and is supported up to macOS 11 Big Sur.

If you're using macOS 12 Monterey, we recommend upgrading to Alfred 4.

You can download Alfred 3 here:

https://cachefly.alfredapp.com/Alfred_3.8.6_972.dmg

While the documentation on the Help site has been updated to reflect the changes in the new version, you'll find answers to your Alfred 3 questions in the documentation too.

Upgrading to Alfred 4

To make your upgrade as smooth as possible, you'll see the Migration Assistant when launching Alfred 4 for the first time, which will help you migrate your Alfred preferences with you.

We also offer a discounted upgrade from older versions of Alfred, so you can enjoy the new features too! To upgrade, enter your existing Powerpack license details here: https://www.alfredapp.com/shop/upgrade/

Latest Blog Post:

Searching Google Drive with an Alfred workflow

CacheFly Campaign Monitor

"Alfred" is a registered trademark of Running with Crayons Ltd. ©2021 Running with Crayons Ltd. All rights reserved.

Terms & Conditions, Privacy Policy, Cookies.